Package ch.qos.logback.core.spi

# Interface PreSerializationTransformer<E>

Type Parameters:
  `E` -

All Known Implementing Classes:
  `AccessEventPreSerializationTransformer`, `LoggingEventPreSerializationTransformer`

public interface PreSerializationTransformer<E>
PreSerializationTransformer instances have the responsibility to transform object into a presumably equivalent serializable representation.

Author:
  Ceki Gülcü

## Method Summary

Modifier and Type
Method
Description
`Serializable`
`transform(E event)`

## Method Details

### transform

Serializable transform(E event)